
Member Nodes - MNDeployment #3532

DFC Member Node

2013-01-30 20:00 - John Cobb

Status: Closed Start date: 2013-10-04

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Latitude: 35.91 MN_Date_Online:  

Longitude: -79.04 Name:  

MN Description: The DataNet Federation Consortium

(DFC) Hydro-NEXRAD rainfall

accumulation data for the Carolinas,

Maryland, and Virginia uses

Hydro-NEXRAD algorithms and

NEXRAD data from the NOAA National

Centers for Environmental Information

(NCEI) to provide spatial datasets that

estimate rainfall accumulation at

15-minute time intervals.

Logo URL:  

Base URL: http://datafed.org/ Date Upcoming:  

NodeIdentifier: urn:node:DFC Date Deprecated:  

MN Tier: Tier 1 Information URL:  

Software stack: iRODS Version:  

Description

Member node implementation to connect with Datanet Federation Consortium (DFC) datanet project. DFC Implementation  is iRODS

so iRODS <--> DataONE Service Programming interface is needed

Subtasks:

Task # 4044: (Waiting for) Development plan for DFC clarifications Closed

Task # 6079: DFC: Initial Preparation Closed

  Task # 6080: DFC: Establish contact with potential MN organization Closed

  Task # 6081: DFC: Determine feasibility Closed

Task # 6082: DFC: Planning Closed

  Task # 6083: DFC: Join DataONE Closed

    Task # 6084: DFC: Integrate MN representatives with community Closed

    Task # 6085: DFC: Create DataONE identities Closed

    Task # 6086: DFC: Create MN description document Closed

  Task # 6087: DFC: Scope the implementation Closed

  Task # 6088: DFC: Plan the implementation Closed

Task # 6089: DFC: Developing Closed

  Task # 6090: DFC: (monitor) Design, code and component test a new MN implementation Closed

  Task # 6091: DFC: Local Testing Closed

    Task # 6092: DFC: Verify that MN passes the Web Tester Closed

  Task # 6772: Look at sample files from Lisa Closed

Task # 6094: DFC: Testing Closed

  Task # 6095: DFC: Registration in environment Closed

    Task # 6096: DFC: Register new Science Metadata formats Closed

    Task # 6097: DFC: SSL Certificates Closed

      Task # 6098: DFC: Generate client certificate. Closed

      Task # 6099: DFC: Verify successful installation of client side certificate Closed
      Task # 6100: DFC: Verify successful installation of server side certificate Closed

    Task # 6104: DFC: Synchronization Closed

      Task # 6105: DFC: Set up synchronization of the MN Closed

    Task # 6106: DFC: Verify MN Content and Services in Testing Environment Closed

    Task # 6118: DFC: Check Authentication and Authorization in Testing Environment Closed

      Task # 6119: DFC: Science Data access Closed

      Task # 6120: DFC: Science Metadata access Closed

      Task # 6121: DFC: Log record access Closed

  Task # 6123: DFC: Registration in PRODUCTION environment Closed

    Task # 6124: DFC: Register new Science Metadata formats Closed

    Task # 6125: DFC: SSL Certificates Closed

      Task # 6126: DFC: Generate client certificate. Closed

      Task # 6127: DFC: Verify successful installation of client side certificate Closed

    Task # 6129: DFC: Register MN Closed

      Task # 6130: DFC: Set up Node document Closed

      Task # 6131: DFC: Set the node status to approved (start synchronization) Closed

    Task # 6132: DFC: Synchronization Closed

      Task # 6133: DFC: Set up synchronization of the MN Closed

    Task # 6134: DFC: Content Review Closed

  Task # 6151: DFC: Transition to production Closed

    Task # 6152: DFC: Mutual acceptance Rejected

    Task # 6153: DFC: Verify content available for Current MNs web page Closed

    Task # 6154: DFC: Create legal documents Closed

    Task # 6155: DFC: Create news item Closed

    Task # 6156: DFC: Formal announcement Rejected

    Task # 7683: Show DFC as "upcoming" on the MN dashboard Closed

  Task # 7704: DFC: refresh sandbox and retest Closed

Related issues:

Related to Infrastructure - Story #4073: iRODS MN Stack development Closed

History

#1 - 2013-01-30 20:01 - John Cobb

- translation missing: en.field_remaining_hours set to 0.0

- Tracker changed from Task to MNDeployment

- Start date deleted (2013-01-30)

#2 - 2013-01-30 20:02 - John Cobb

- Due date set to 2013-07-31

- Target version set to Deploy by end of Y4Q4

- Start date set to 2013-01-30

#3 - 2013-01-30 20:46 - Matthew Jones

- Due date changed from 2013-07-31 to 2014-01-31

- Target version changed from Deploy by end of Y4Q4 to Deploy by end of Y5Q2

#4 - 2013-08-08 10:21 - Laura Moyers

- Longitude set to -79.04

- Latitude set to 35.91

#5 - 2013-08-26 18:25 - Matthew Jones

Lisa Stillwell from RENCI contacted me about implementing DataONE API support for iRODS.  She has been given this task on their end, and wanted

an overview.  We met via telephone for about 90 minutes on 8/23/2013 to discuss the process.  I gave her a brief overview of the DataONE MN API
and discussed the process of developing a software stack.  We also reviewed the issues surrounding PIDs, SIDs, immutability, logging, and other

potential issues.  I sent her an email with information on how to get started on development, including where to get documentation on libclient, how to

reach us on IRC and the developers list, etc.  I offered that we are more than happy to help with any issues that arise.

#6 - 2013-10-01 17:46 - Laura Moyers

- Software stack set to iRODS

#7 - 2013-10-01 17:54 - Bruce Wilson

- Status changed from New to Ready

- MN Tier set to Tier 1

#8 - 2013-10-09 15:06 - Bruce Wilson

- Due date changed from 2014-01-31 to 2014-04-30

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

Based on current progress, I'm moving the target for this out to Q3.  Based on current progress, anticipating implementation after January seems

most likely.  

#9 - 2014-01-17 15:41 - Bruce Wilson

- Due date changed from 2014-04-30 to 2014-07-31

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#10 - 2014-05-29 19:10 - Bruce Wilson

Corresponded with Lisa Stillwell.  Making progress. She's assembling questions for next steps.

#11 - 2014-08-06 18:23 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Deploy by end of Y1Q1

- Due date changed from 2014-07-31 to 2014-10-31

#12 - 2015-01-23 16:21 - Laura Moyers

- Target version changed from Deploy by end of Y1Q1 to Deploy by end of Y1Q3

#13 - 2015-04-08 15:01 - Laura Moyers

DFC POC is Chris Lenhardt (clenhardt@renci.org).  

#14 - 2015-05-13 15:52 - Laura Moyers

- Target version changed from Deploy by end of Y1Q3 to Deploy by end of Y1Q4

#15 - 2015-05-30 00:52 - Laura Moyers

- NodeIdentifier set to urn:node:DFC

#16 - 2015-09-01 13:43 - Laura Moyers

- Target version changed from Deploy by end of Y1Q4 to Deploy by end of Y2Q1

#17 - 2015-12-03 20:51 - Laura Moyers

- Target version changed from Deploy by end of Y2Q1 to Deploy by end of Y2Q2

#18 - 2016-03-21 17:02 - Laura Moyers

- Base URL set to http://datafed.org/
- MN Description set to The DataNet Federation Consortium (DFC) Hydro-NEXRAD rainfall accumulation data for the Carolinas, Maryland, and

Virginia uses Hydro-NEXRAD algorithms and NEXRAD data from the NOAA National Centers for Environmental Information (NCEI) to provide spatial

datasets that estimate rainfall accumulation at 15-minute time intervals.

Added short MN description and MN URL.

#19 - 2016-03-31 17:07 - Laura Moyers

- Status changed from Ready to Testing

- % Done changed from 55 to 50

#20 - 2016-04-04 18:10 - Laura Moyers

- Target version changed from Deploy by end of Y2Q2 to Deploy by end of Y2Q3

#21 - 2016-07-02 12:39 - Laura Moyers

- Target version changed from Deploy by end of Y2Q3 to Deploy by end of Y2Q4

#22 - 2016-09-20 19:30 - Laura Moyers

- Target version changed from Deploy by end of Y2Q4 to Deploy by end of Y3Q1

#23 - 2017-02-20 18:28 - Laura Moyers

- % Done changed from 50 to 100

- Target version deleted (Deploy by end of Y3Q1)

- Status changed from Testing to Closed

Development activities suspended.  Word from Lisa Stillwell 7 Feb 2017, there will not be a DFC Member Node.  The work that Lisa has done so far

on the iRODS MN will be leveraged at CyVerse for their iRODS MN implementation.
